PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::MaterialInfo::Register Class Reference

Helper which allow to add (do this in constructor) information about material to default material meta-info database. More...

`#include <plask/material/info.hpp>`

## Public Member Functions
| Register (const std::string &materialName, const std::string &parentMaterial)
template<typename ... PropertySetters>
| Register (const std::string &materialName, const std::string &parentMaterial, PROPERTY_NAME property, const PropertySetters &... propertySetters)
| Register (const std::string &materialName)
template<typename ... PropertySetters>
| Register (const std::string &materialName, PROPERTY_NAME property, const PropertySetters &... propertySetters)

## Detailed Description

Helper which allow to add (do this in constructor) information about material to default material meta-info database.

Definition at line 422 of file info.hpp.

## Constructor & Destructor Documentation

## ◆ Register() [1/4]

plask::MaterialInfo::Register::Register | ( | const std::string & | materialName,
|  | const std::string & | parentMaterial
| ) |  |
| inline

Definition at line 433 of file info.hpp.

## ◆ Register() [2/4]

template<typename ... PropertySetters>

plask::MaterialInfo::Register::Register | ( | const std::string & | materialName,
|  | const std::string & | parentMaterial,
|  | PROPERTY_NAME | property,
|  | const PropertySetters &... | propertySetters
| ) |  |
| inline

Definition at line 438 of file info.hpp.

## ◆ Register() [3/4]

plask::MaterialInfo::Register::Register | ( | const std::string & | materialName | ) |
| inline

Definition at line 442 of file info.hpp.

## ◆ Register() [4/4]

template<typename ... PropertySetters>

plask::MaterialInfo::Register::Register | ( | const std::string & | materialName,
|  | PROPERTY_NAME | property,
|  | const PropertySetters &... | propertySetters
| ) |  |
| inline

Definition at line 447 of file info.hpp.

The documentation for this class was generated from the following file:

- plask/material/info.hpp